
From: Arjan van de Ven <arjanv@redhat.com>

ice1712.c: move 2 same structs to the top of the function; gcc won't share
the stackslots anyway


---

 25-akpm/sound/pci/ice1712/ice1712.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN sound/pci/ice1712/ice1712.c~stack-reductions-ice1712 sound/pci/ice1712/ice1712.c
--- 25/sound/pci/ice1712/ice1712.c~stack-reductions-ice1712	Thu Mar 25 14:44:44 2004
+++ 25-akpm/sound/pci/ice1712/ice1712.c	Thu Mar 25 14:44:44 2004
@@ -1505,10 +1505,10 @@ static void snd_ice1712_mixer_free_ac97(
 static int __devinit snd_ice1712_ac97_mixer(ice1712_t * ice)
 {
 	int err;
+	ac97_t ac97;
+	ac97_bus_t bus, *pbus;
 
 	if (ice_has_con_ac97(ice)) {
-		ac97_bus_t bus, *pbus;
-		ac97_t ac97;
 		memset(&bus, 0, sizeof(bus));
 		bus.write = snd_ice1712_ac97_write;
 		bus.read = snd_ice1712_ac97_read;
@@ -1527,8 +1527,6 @@ static int __devinit snd_ice1712_ac97_mi
 	}
 
 	if (! (ice->eeprom.data[ICE_EEP1_ACLINK] & ICE1712_CFG_PRO_I2S)) {
-		ac97_bus_t bus, *pbus;
-		ac97_t ac97;
 		memset(&bus, 0, sizeof(bus));
 		bus.write = snd_ice1712_pro_ac97_write;
 		bus.read = snd_ice1712_pro_ac97_read;

_
